Name:           ocaml-uint
Version:        1.1.0
Release:        %mkrel 5
Summary:        Unsigned ints for OCaml
License:        MIT
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/ocaml-uint/
Source0:        http://forge.ocamlcore.org/frs/download.php/1100/ocaml-uint-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
Unsigned ints for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --destdir %{buildroot}

ocaml setup.ml -build

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/uint
ocaml setup.ml -install
ocaml setup.ml -doc
mv _build/lib/uint.docdir/ api-html/

%files
%doc LICENSE
%dir %{_libdir}/ocaml/uint
%{_libdir}/ocaml/uint/META
%{_libdir}/ocaml/uint/*.cmi
%{_libdir}/ocaml/uint/*.cma
%{_libdir}/ocaml/uint/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc api-html/
%doc spec/
%{_libdir}/ocaml/uint/*.a
%{_libdir}/ocaml/uint/*.cmxa
%{_libdir}/ocaml/uint/*.cmx
%{_libdir}/ocaml/uint/*.mli
%{_libdir}/ocaml/uint/*.h
%{_includedir}/ocaml_uint/*.h


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.1.0-5.mga6
+ Revision: 956475
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 749049
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 683120
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 534727
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 1.1.0-1.mga4
+ Revision: 478651
- update to 1.1.0

* Thu Jan 17 2013 pterjan <pterjan> 1.0.3-4.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3-4.mga3
+ Revision: 361673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.0.3-3.mga3
+ Revision: 301112
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.3-2.mga3
+ Revision: 300433
- new rpm group for ocaml

* Mon Sep 03 2012 blue_prawn <blue_prawn> 1.0.3-1.mga3
+ Revision: 287658
- imported package ocaml-uint

